#include "htlib2.h"
#include "Thread.h"

BOOL
M(Mutex,Init)(pthread_mutex_t* o, int* err)
{
	if ((*err=pthread_mutex_init(o, NULL))!=0) {
		return FALSE;
	}
	return TRUE;
}
void
M(Mutex,Uninit)(pthread_mutex_t* o)
{
	pthread_mutex_destroy(o);
}

void
M(Mutex,Lock)(pthread_mutex_t* o)
{
	pthread_mutex_lock(o);
}
void
M(Mutex,Unlock)(pthread_mutex_t* o)
{
	pthread_mutex_unlock(o);
}
